Skip to main content
POST
Get paginated data rows from a node output in a workflow execution

Authorizations

Authorization
string
header
required

API key authentication. Obtain your API key from the dashboard.

X-Environment
string
header
required

Target environment for the request. Must be "test" or "live".

Path Parameters

executionId
string<uuid>
required

Body

application/json
nodeId
string
required
Minimum string length: 1
handle
string
required
Minimum string length: 1
limit
integer
Required range: 1 <= x <= 1000
offset
integer
Required range: 0 <= x <= 9007199254740991
Maximum string length: 200

Response

200 - application/json
object | null

OK

columns
string[]
required
rows
object[]
required
totalRows
integer
required
Required range: -9007199254740991 <= x <= 9007199254740991
object
any